<template>
  <div :class="`${!header ? 'mt-0' : 'container-fluid mt-5'} `">
    <div v-if="header" class="d-flex align-items-center justify-content-between">
      <span class="font-weight-bold">
        Most popular Reciter of the week
      </span>
      <span class="text-success">
        See All
      </span>
    </div>
    <b-row class="mt-4">
      <b-col
        v-for="item in list"
        :key="item"
        md="2"
        class="text-center"
      >
        <b-img
          src="~/assets/images/illustrations/il-syaikh1.png"
          class="img-fluid"
          @click="handleRedirect()"
        />
        <p :class="`${!header ? 'px-2' : 'px-3'} mt-2 small`">
          Abdul Muhsin Al Qasim
        </p>
      </b-col>
    </b-row>
  </div>
</template>

<script>
export default {
  props: {
    list: {
      type: Number,
      default: 6
    },
    header: {
      type: Boolean,
      default: true
    }
  },

  methods: {
    handleRedirect (query) {
      this.$router.push({ query: { name: 'detail' } })
      this.$emit('click')
    }
  }
}
</script>
